# DaprProtos.StartWorkflowRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.StartWorkflowRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprProtos.StartWorkflowRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.StartWorkflowRequestOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

    public static final class DaprProtos.StartWorkflowRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprProtos.StartWorkflowRequestOrBuilder

     StartWorkflowRequest is the request for StartWorkflowBeta1.

Protobuf type `dapr.proto.runtime.v1.StartWorkflowRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprProtos.StartWorkflowRequest.Builder` StartWorkflowRequest is the request for StartWorkflowBeta1.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `INPUT_FIELD_NUMBER`
`static int` `INSTANCE_ID_FIELD_NUMBER`
`static int` `OPTIONS_FIELD_NUMBER`
`static int` `WORKFLOW_COMPONENT_FIELD_NUMBER`
`static int` `WORKFLOW_NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsOptions​(String key)` Additional component-specific options for starting the workflow instance.
`boolean` `equals​(Object obj)`
`static DaprProtos.StartWorkflowRequest` `getDefaultInstance()`
`DaprProtos.StartWorkflowRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.ByteString` `getInput()` Input data for the workflow instance.
`String` `getInstanceId()` The ID to assign to the started workflow instance.
`com.google.protobuf.ByteString` `getInstanceIdBytes()` The ID to assign to the started workflow instance.
`Map<String,​String>` `getOptions()` Deprecated.
`int` `getOptionsCount()` Additional component-specific options for starting the workflow instance.
`Map<String,​String>` `getOptionsMap()` Additional component-specific options for starting the workflow instance.
`String` `getOptionsOrDefault​(String key, String defaultValue)` Additional component-specific options for starting the workflow instance.
`String` `getOptionsOrThrow​(String key)` Additional component-specific options for starting the workflow instance.
`com.google.protobuf.Parser<DaprProtos.StartWorkflowRequest>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`String` `getWorkflowComponent()` Name of the workflow component.
`com.google.protobuf.ByteString` `getWorkflowComponentBytes()` Name of the workflow component.
`String` `getWorkflowName()` Name of the workflow.
`com.google.protobuf.ByteString` `getWorkflowNameBytes()` Name of the workflow.
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprProtos.StartWorkflowRequest.Builder` `newBuilder()`
`static DaprProtos.StartWorkflowRequest.Builder` `newBuilder​(DaprProtos.StartWorkflowRequest prototype)`
`DaprProtos.StartWorkflowRequest.Builder` `newBuilderForType()`
`protected DaprProtos.StartWorkflowRequest.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.StartWorkflowRequest` `parseDelimitedFrom​(InputStream input)`
`static DaprProtos.StartWorkflowRequest` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(byte[] data)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(InputStream input)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(ByteBuffer data)`
`static DaprProtos.StartWorkflowRequest` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.StartWorkflowRequest>` `parser()`
`DaprProtos.StartWorkflowRequest.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### INSTANCE_ID_FIELD_NUMBER

    public static final int INSTANCE_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### WORKFLOW_COMPONENT_FIELD_NUMBER

    public static final int WORKFLOW_COMPONENT_FIELD_NUMBER

See Also:
  Constant Field Values

#### WORKFLOW_NAME_FIELD_NUMBER

    public static final int WORKFLOW_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### OPTIONS_FIELD_NUMBER

    public static final int OPTIONS_FIELD_NUMBER

See Also:
  Constant Field Values

#### INPUT_FIELD_NUMBER

    public static final int INPUT_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getInstanceId

    public String getInstanceId()

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceId` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The instanceId.

#### getInstanceIdBytes

    public com.google.protobuf.ByteString getInstanceIdBytes()

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceIdBytes` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The bytes for instanceId.

#### getWorkflowComponent

    public String getWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Specified by:
  `getWorkflowComponent` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The workflowComponent.

#### getWorkflowComponentBytes

    public com.google.protobuf.ByteString getWorkflowComponentBytes()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Specified by:
  `getWorkflowComponentBytes` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The bytes for workflowComponent.

#### getWorkflowName

    public String getWorkflowName()

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Specified by:
  `getWorkflowName` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The workflowName.

#### getWorkflowNameBytes

    public com.google.protobuf.ByteString getWorkflowNameBytes()

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Specified by:
  `getWorkflowNameBytes` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The bytes for workflowName.

#### getOptionsCount

    public int getOptionsCount()

Description copied from interface: `DaprProtos.StartWorkflowRequestOrBuilder`

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `getOptionsCount` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

#### containsOptions

    public boolean containsOptions​(String key)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `containsOptions` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

#### getOptions

    @Deprecated
    public Map<String,​String> getOptions()

Deprecated.
Use `getOptionsMap()` instead.

Specified by:
  `getOptions` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

#### getOptionsMap

    public Map<String,​String> getOptionsMap()

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `getOptionsMap` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

#### getOptionsOrDefault

    public String getOptionsOrDefault​(String key,
                                      String defaultValue)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `getOptionsOrDefault` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

#### getOptionsOrThrow

    public String getOptionsOrThrow​(String key)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `getOptionsOrThrow` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

#### getInput

    public com.google.protobuf.ByteString getInput()

     Input data for the workflow instance.

`bytes input = 5;`

Specified by:
  `getInput` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The input.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(ByteBuffer data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(ByteBuffer data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(com.google.protobuf.ByteString data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(com.google.protobuf.ByteString data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(byte[] data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(byte[] data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(InputStream input)
                                                     throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.StartWorkflowRequest parseDelimitedFrom​(InputStream input)
                                                              throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.StartWorkflowRequest parseDelimitedFrom​(InputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(com.google.protobuf.CodedInputStream input)
                                                     throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.StartWorkflowRequest parseFrom​(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprProtos.StartWorkflowRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprProtos.StartWorkflowRequest.Builder newBuilder()

#### newBuilder

    public static DaprProtos.StartWorkflowRequest.Builder newBuilder​(DaprProtos.StartWorkflowRequest prototype)

#### toBuilder

    public DaprProtos.StartWorkflowRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprProtos.StartWorkflowRequest.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprProtos.StartWorkflowRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprProtos.StartWorkflowRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprProtos.StartWorkflowRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprProtos.StartWorkflowRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`